import React from 'react'
import { css } from 'glamor'
import Pane from './Pane'
import Text from './Text'
import Link from './Link'
import Triangle from './Triangle'
import theme from './theme'

const SidebarLink = ({ children, active, ...props }) =>
  <Link {...css({
    '&:hover, &.active': {
      backgroundColor: theme.rawColors.blue50
    }
  })} {...props}>
    <Text is='span' flexAuto>{children}</Text>
    {active ? <Triangle aim='right' fill={theme.intent.secondary.active.linkColor[0]} /> : null}
  </Link>

SidebarLink.defaultProps = {
  is: 'a',
  secondary: true,
  display: 'flex',
  alignItems: 'center',
  padding: 2,
  marginBottom: 1,
  rounded: true
}

const Sidebar = props => <Pane {...props} />

Sidebar.defaultProps = {
  white: true,
  borderRight: true,
  width: '240px',
  padding: true,
  flex: '0 0 auto'
}

export {
  Sidebar,
  SidebarLink
}
