import React, { PropTypes } from 'react'
import { css } from 'glamor'
import Box from './Box'
import theme from './theme'

const rotate360 = css.keyframes('rotate360', {
  'from': {
    transform: `rotate(0deg)`
  },
  'to': {
    transform: `rotate(360deg)`
  }
})

const Spinner = props => <Box {...css({
  '&, &:after': {
    borderRadius: '50%'
  },
  fontSize: `10px`,
  position: `relative`,
  textIndent: `-9999em`,
  borderTop: `2px solid ${theme.colors.primary[0]}`,
  borderRight: `2px solid ${theme.colors.tint[1]}`,
  borderBottom: `2px solid ${theme.colors.tint[1]}`,
  borderLeft: `2px solid ${theme.colors.tint[1]}`,
  transform: `translateZ(0)`,
  animation: `${rotate360} 0.5s infinite linear`
})} {...props} />

Spinner.defaultProps = {
  width: '32px',
  height: '32px'
}

Spinner.displayName = 'Spinner'

export default Spinner
